Debian Bug report logs - #643040
abcm2ps: FTBFS: dpkg-buildpackage: error: dpkg-source -b abcm2ps-5.9.22 gave error exit status 2

version graph

Package: src:abcm2ps; Maintainer for src:abcm2ps is Anselm Lingnau <lingnau@debian.org>;

Reported by: Didier Raboud <odyx@debian.org>

Date: Mon, 26 Sep 2011 19:18:05 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version abcm2ps/5.9.22-1

Fixed in version abcm2ps/5.9.22-1.1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anselm Lingnau <lingnau@debian.org>:
Bug#643040; Package src:abcm2ps. (Mon, 26 Sep 2011 19:18:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
New Bug report received and forwarded. Copy sent to Anselm Lingnau <lingnau@debian.org>. (Mon, 26 Sep 2011 19:18:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: submit@bugs.debian.org
Subject: abcm2ps: FTBFS: dpkg-buildpackage: error: dpkg-source -b abcm2ps-5.9.22 gave error exit status 2
Date: Mon, 26 Sep 2011 21:15:58 +0200
Source: abcm2ps
Version: 5.9.22-1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20110823 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[1]: Entering directory `/build/abcm2ps-05M29N/abcm2ps-5.9.22'
> rm -f *.o deco.ps journey.ps mtunes1.ps mtunes2.ps newfeatures.ps sample.ps sample2.ps sample3.ps sample4.ps sample5.ps voices.ps # *.obj
> make[1]: Leaving directory `/build/abcm2ps-05M29N/abcm2ps-5.9.22'
> rm -f abcm2ps abcm2ps.1
> dh_clean config.log config.cache config.status
>  dpkg-source -b abcm2ps-5.9.22
> dpkg-source: info: using source format `3.0 (quilt)'
> dpkg-source: info: building abcm2ps using existing ./abcm2ps_5.9.22.orig.tar.gz
> dpkg-source: info: local changes detected, the modified files are:
>  abcm2ps-5.9.22/Makefile
>  abcm2ps-5.9.22/config.h
> dpkg-source: error: aborting due to unexpected upstream changes, see /tmp/abcm2ps_5.9.22-1.diff.xwWgfp
> dpkg-source: info: you can integrate the local changes with dpkg-source --commit
> dpkg-buildpackage: error: dpkg-source -b abcm2ps-5.9.22 gave error exit status 2
> ────────────────────────────────────────────────────────────────────────────────
> Build finished at 20110924-0047

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/08/23/abcm2ps_5.9.22-1_lsid64.buildlog

This error is due to recent dpkg changes "“dpkg-source -b” on a “2.0”
or “3.0 (quilt)” source package will fail if it detects upstream changes
which are not managed by a quilt patch." [0] 

[0] http://lists.debian.org/debian-devel-announce/2011/09/msg00001.html

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Information forwarded to debian-bugs-dist@lists.debian.org, Anselm Lingnau <lingnau@debian.org>:
Bug#643040; Package src:abcm2ps. (Sat, 05 Nov 2011 11:36:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
Extra info received and forwarded to list. Copy sent to Anselm Lingnau <lingnau@debian.org>. (Sat, 05 Nov 2011 11:36:36 GMT) Full text and rfc822 format available.

Message #10 received at 643040@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: 643040@bugs.debian.org
Cc: control@bugs.debian.org
Subject: re: abcm2ps: FTBFS: dpkg-buildpackage: error: dpkg-source -b, abcm2ps-5.9.22 gave error exit status 2
Date: Sat, 05 Nov 2011 11:35:49 +0000
[Message part 1 (text/plain, inline)]
tags 643040 +patch
thanks

>The full build log is available from:
> 
http://people.debian.org/~lucas/logs/2011/08/23/abcm2ps_5.9.22-1_lsid64.buildlog 
<http://people.debian.org/%7Elucas/logs/2011/08/23/abcm2ps_5.9.22-1_lsid64.buildlog>
That gives a 404 for me.

When I tested it the package built fine (with plain dpkg-buildpackage) 
immediately after unpacking but trying to build a second time gave
the error you report.

I've attatched a patch that backs up the makefile at the start of the 
build and restores it in clean which fixes the issue.
[abcm2ps.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from peter green <plugwash@p10link.net> to control@bugs.debian.org. (Sat, 05 Nov 2011 11:36:59 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Anselm Lingnau <lingnau@debian.org>:
Bug#643040; Package src:abcm2ps. (Mon, 14 Nov 2011 16:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Anselm Lingnau <lingnau@debian.org>. (Mon, 14 Nov 2011 16:48:03 GMT) Full text and rfc822 format available.

Message #17 received at 643040@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 643040@bugs.debian.org
Subject: abcm2ps: diff for NMU version 5.9.22-1.1
Date: Mon, 14 Nov 2011 17:44:53 +0100
[Message part 1 (text/plain, inline)]
tags 643040 + pending
thanks

Dear maintainer,

I've prepared an NMU for abcm2ps (versioned as 5.9.22-1.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
 .''`.   Homepage: http://info.comodo.priv.at/ - OpenPGP key ID: 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Joan Baez: Diamonds and rust
[abcm2ps-5.9.22-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Mon, 14 Nov 2011 16:48:07 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Wed, 16 Nov 2011 17:03:05 GMT) Full text and rfc822 format available.

Notification sent to Didier Raboud <odyx@debian.org>:
Bug acknowledged by developer. (Wed, 16 Nov 2011 17:03:05 GMT) Full text and rfc822 format available.

Message #24 received at 643040-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 643040-close@bugs.debian.org
Subject: Bug#643040: fixed in abcm2ps 5.9.22-1.1
Date: Wed, 16 Nov 2011 17:02:08 +0000
Source: abcm2ps
Source-Version: 5.9.22-1.1

We believe that the bug you reported is fixed in the latest version of
abcm2ps, which is due to be installed in the Debian FTP archive:

abcm2ps_5.9.22-1.1.debian.tar.gz
  to main/a/abcm2ps/abcm2ps_5.9.22-1.1.debian.tar.gz
abcm2ps_5.9.22-1.1.dsc
  to main/a/abcm2ps/abcm2ps_5.9.22-1.1.dsc
abcm2ps_5.9.22-1.1_i386.deb
  to main/a/abcm2ps/abcm2ps_5.9.22-1.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 643040@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated abcm2ps package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 14 Nov 2011 17:31:43 +0100
Source: abcm2ps
Binary: abcm2ps
Architecture: source i386
Version: 5.9.22-1.1
Distribution: unstable
Urgency: low
Maintainer: Anselm Lingnau <lingnau@debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 abcm2ps    - Translates ABC music description files to PostScript
Closes: 643040
Changes: 
 abcm2ps (5.9.22-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix "FTBFS: dpkg-buildpackage: error: dpkg-source -b abcm2ps-5.9.22
     gave error exit status 2": backup/restore Makefile in debian/rules;
     inspired by peter green's patch (closes: #643040).
     (Alternatively we could simply remove Makefile in the clean target but
     this solution seems more in line with the current style.)
Checksums-Sha1: 
 e06f801c29a8be6c12251547a203232c36dd2179 1706 abcm2ps_5.9.22-1.1.dsc
 8f3c21e49ea95115c5e3e478887725ff0f9dcc02 21880 abcm2ps_5.9.22-1.1.debian.tar.gz
 10f131b6fcbe76535fc977b74f9b4c7d7f0f28d6 189340 abcm2ps_5.9.22-1.1_i386.deb
Checksums-Sha256: 
 ed42ad6a87879d0fdffac8dfc14f42cbf6d7996845734a9a15abdf7f59c14da2 1706 abcm2ps_5.9.22-1.1.dsc
 767f35d25696d3a58cf8a85a8febed8bf1d89f2ce9b907e6b8973e0567448c3a 21880 abcm2ps_5.9.22-1.1.debian.tar.gz
 db59be9329c261b8382fb32deb413ab43fa68e490702dc145191dfe205f2482c 189340 abcm2ps_5.9.22-1.1_i386.deb
Files: 
 720b0ab77db17b7f393cf6c6f1953e90 1706 text optional abcm2ps_5.9.22-1.1.dsc
 28013b1f74682fc70f27a4b9dd4f183f 21880 text optional abcm2ps_5.9.22-1.1.debian.tar.gz
 2824c9932c6c6c4a04d3a344a67d846e 189340 text optional abcm2ps_5.9.22-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOwURIAAoJELs6aAGGSaoGSoEQAJ9wJlP39MBdTXHV5gsio3RX
7ygrdY7wwKAE9l5rTorNa/LEvbMl9czbpvg/YKFEyA4H+4erhLzhgEqaIJkmsWGy
KXB0CHypR9dOh+OpLyIAXJU0PBIUjHhcYkxamyyUdrTk5RyKbjzQb3D9GdYBrQoL
d8cnyWUtq2xNnoy2JRO11XA/ft0SNyHQbjmj8qqwUPQAYYqd2oGankJBdhrl2YYA
CveRj5KVQjcb/Tuk6VVfoWAsHB+Tq7v9INaG8bUZYQlenQLlI20p6zwxvZYebyIf
lncwm5SbEdGiAdgZZ9HMWEXReoD2hjWU8AG0K+v/q/N51aM6sKBNBnOvY2XGmT6D
Vl0lpEdG4ON5jWR5G8iGUjMu1+u2Dcbanrgzi3wZxVSnFQnCsm/1D75OzIDbWFQ+
iP41K4DUyh1nPy9lCJaP31PmME2CMz2iElEGhi556vr9ennlXhT/LuC8uHFkvTwJ
tmAinKrLSR6gt1W/u+NgH2GTit0bmlrbXPfTpE/24dLziTglzd8wmGTEGGlKTGKg
GxG/EhKjZMvq0z1Q7HKnNu6FAnLpzMjSztogjjEkbazlxeqmCbiFg8l/QMKUOsaF
kj2pOqc8LsQrsN6s7hzB+ey0lMGFz/lVgmoAQtiBVyylIh5t3Baw5pqEZOAJIOeM
HkbImhF7x0a/2rDgkUpp
=UVGh
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 Dec 2011 07:36:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 04:17:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.